/*
 * errstr.go
 *
 * Copyright 2017-2022 Bill Zissimopoulos
 */
/*
 * This file is part of Cgofuse.
 *
 * It is licensed under the MIT license. The full license text can be found
 * in the License.txt file at the root of this project.
 */

package fuse

var errorStrings = []struct {
	errc int
	errs string
}{
	{E2BIG, "E2BIG"},
	{EACCES, "EACCES"},
	{EADDRINUSE, "EADDRINUSE"},
	{EADDRNOTAVAIL, "EADDRNOTAVAIL"},
	{EAFNOSUPPORT, "EAFNOSUPPORT"},
	{EAGAIN, "EAGAIN"},
	{EALREADY, "EALREADY"},
	{EBADF, "EBADF"},
	{EBADMSG, "EBADMSG"},
	{EBUSY, "EBUSY"},
	{ECANCELED, "ECANCELED"},
	{ECHILD, "ECHILD"},
	{ECONNABORTED, "ECONNABORTED"},
	{ECONNREFUSED, "ECONNREFUSED"},
	{ECONNRESET, "ECONNRESET"},
	{EDEADLK, "EDEADLK"},
	{EDESTADDRREQ, "EDESTADDRREQ"},
	{EDOM, "EDOM"},
	{EEXIST, "EEXIST"},
	{EFAULT, "EFAULT"},
	{EFBIG, "EFBIG"},
	{EHOSTUNREACH, "EHOSTUNREACH"},
	{EIDRM, "EIDRM"},
	{EILSEQ, "EILSEQ"},
	{EINPROGRESS, "EINPROGRESS"},
	{EINTR, "EINTR"},
	{EINVAL, "EINVAL"},
	{EIO, "EIO"},
	{EISCONN, "EISCONN"},
	{EISDIR, "EISDIR"},
	{ELOOP, "ELOOP"},
	{EMFILE, "EMFILE"},
	{EMLINK, "EMLINK"},
	{EMSGSIZE, "EMSGSIZE"},
	{ENAMETOOLONG, "ENAMETOOLONG"},
	{ENETDOWN, "ENETDOWN"},
	{ENETRESET, "ENETRESET"},
	{ENETUNREACH, "ENETUNREACH"},
	{ENFILE, "ENFILE"},
	{ENOATTR, "ENOATTR"},
	{ENOBUFS, "ENOBUFS"},
	{ENODATA, "ENODATA"},
	{ENODEV, "ENODEV"},
	{ENOENT, "ENOENT"},
	{ENOEXEC, "ENOEXEC"},
	{ENOLCK, "ENOLCK"},
	{ENOLINK, "ENOLINK"},
	{ENOMEM, "ENOMEM"},
	{ENOMSG, "ENOMSG"},
	{ENOPROTOOPT, "ENOPROTOOPT"},
	{ENOSPC, "ENOSPC"},
	{ENOSR, "ENOSR"},
	{ENOSTR, "ENOSTR"},
	{ENOSYS, "ENOSYS"},
	{ENOTCONN, "ENOTCONN"},
	{ENOTDIR, "ENOTDIR"},
	{ENOTEMPTY, "ENOTEMPTY"},
	{ENOTRECOVERABLE, "ENOTRECOVERABLE"},
	{ENOTSOCK, "ENOTSOCK"},
	{ENOTSUP, "ENOTSUP"},
	{ENOTTY, "ENOTTY"},
	{ENXIO, "ENXIO"},
	{EOPNOTSUPP, "EOPNOTSUPP"},
	{EOVERFLOW, "EOVERFLOW"},
	{EOWNERDEAD, "EOWNERDEAD"},
	{EPERM, "EPERM"},
	{EPIPE, "EPIPE"},
	{EPROTO, "EPROTO"},
	{EPROTONOSUPPORT, "EPROTONOSUPPORT"},
	{EPROTOTYPE, "EPROTOTYPE"},
	{ERANGE, "ERANGE"},
	{EROFS, "EROFS"},
	{ESPIPE, "ESPIPE"},
	{ESRCH, "ESRCH"},
	{ETIME, "ETIME"},
	{ETIMEDOUT, "ETIMEDOUT"},
	{ETXTBSY, "ETXTBSY"},
	{EWOULDBLOCK, "EWOULDBLOCK"},
	{EXDEV, "EXDEV"},
}
